%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-XML-Simple
Version:        2.18
Release:        1
Summary:        Easy API to maintain XML in Perl

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/XML-Simple/
Source0:        http://www.cpan.org/authors/id/G/GR/GRANTM/XML-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

BuildRequires:  perl-XML-NamespaceSupport >= 1.11-1
BuildRequires:  perl-XML-LibXML >= 1.88-1
BuildRequires:  perl-XML-Parser >= 2.40-1
BuildRequires:  perl-XML-SAX >= 0.99-1

Requires:  perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:  perl >= 5.8.8
Requires:  perl-XML-Parser >= 2.40-1

# XML-SAX-ExpatXS up to 0.98 has known namespace bugs, and will cause the
# tests to fail if it is installed as the default SAX parser.
BuildConflicts: perl-XML-SAX-ExpatXS

%description
The XML::Simple module provides a simple API layer on top of an
underlying XML parsing module (either XML::Parser or one of the SAX2
parser modules).


%prep
%setup -q -n XML-Simple-%{version}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{perl_vendorlib}/XML/
%{_mandir}/man3/*.3*


%changelog
* Thu Dec 03 2009 Michael Perzl <michael@perzl.org> - 2.18-1
- first version for AIX V5.1 and higher
